Bug 129699 - [patch] Typo in /etc/exports.disabled
Summary: [patch] Typo in /etc/exports.disabled
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maxim Konovalov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-17 01:00 UTC by Glen Barber
Modified: 2009-01-11 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber 2008-12-17 01:00:03 UTC
Typo in /etc/exports.disabled:

/etc/exports.disabled specifies (line 2) '/usr/src' and '/usr/ports' are set read-only, but example shows '/usr/src' and '/usr/obj'.

Fix: 

diff:

6c6
< #/usr/src /usr/obj -ro  calvin hobbes
---
> #/usr/src /usr/ports -ro  calvin hobbes
How-To-Repeat: n/a
Comment 1 Maxim Konovalov 2008-12-17 06:59:05 UTC
> >Environment:
> FreeBSD freebsdnas.phoenix 7.1-RC1 FreeBSD 7.1-RC1 #0: Sun Dec  7 05:57:33 UTC 2008    root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
> >Description:
> Typo in /etc/exports.disabled:
>
There is no such file in my 7.1.  Are you sure it's not locally
invented?

--
Maxim Konovalov
Comment 2 Glen Barber 2008-12-17 14:16:14 UTC
On Wed, Dec 17, 2008 at 1:59 AM, Maxim Konovalov <maxim@macomnet.ru> wrote:
>> >Environment:
>> FreeBSD freebsdnas.phoenix 7.1-RC1 FreeBSD 7.1-RC1 #0: Sun Dec  7 05:57:33 UTC 2008    root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
>> >Description:
>> Typo in /etc/exports.disabled:
>>
> There is no such file in my 7.1.  Are you sure it's not locally
> invented?
>

I found the file when enabling NFS and RPCBIND during install (sysinstall).


-- 
Glen Barber
Comment 3 Maxim Konovalov 2008-12-17 17:10:15 UTC
On Wed, 17 Dec 2008, 09:16-0500, Glen Barber wrote:

> On Wed, Dec 17, 2008 at 1:59 AM, Maxim Konovalov <maxim@macomnet.ru> wrote:
> >> >Environment:
> >> FreeBSD freebsdnas.phoenix 7.1-RC1 FreeBSD 7.1-RC1 #0: Sun Dec  7 05:57:33 UTC 2008    root@logan.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  i386
> >> >Description:
> >> Typo in /etc/exports.disabled:
> >>
> > There is no such file in my 7.1.  Are you sure it's not locally
> > invented?
> >
>
> I found the file when enabling NFS and RPCBIND during install
> (sysinstall).
>
I see now, thanks.

I suggest an opposite patch: replace /usr/ports by /usr/obj.  I
suppose the intention was to give an example how to export /usr/src
and /usr/obj for centralized OS upgrade procedure.

-- 
Maxim Konovalov
Comment 4 Maxim Konovalov freebsd_committer 2008-12-18 06:38:28 UTC
State Changed
From-To: open->patched

Fixed in HEAD.  Thanks!  Will MFC after 7.1-R.
Comment 5 Volker Werth freebsd_committer 2009-01-03 23:02:02 UTC
Responsible Changed
From-To: freebsd-bugs->maxim

reassing to maxim for MFC who patched in HEAD 
Maxim: Please make a note of the PR in the commit message when 
committing to svn so we'll have all relevant information handy 
in GNATS, thx!
Comment 6 Maxim Konovalov freebsd_committer 2009-01-11 08:40:42 UTC
State Changed
From-To: patched->closed

Merged to RELENG_7.